Adds an IdpCredential. Up to 2 credentials are allowed.
When the target customer has enabled Multi-party approval for sensitive actions, the Operation in the response will have "done": false, it will not have a response, and the metadata will have "state": "awaiting-multi-party-approval".
HTTP request
POST https://cloudidentity.googleapis.com/v1beta1/{parent=inboundSamlSsoProfiles/*}/idpCredentials:add
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The |
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "pemData": string } |
| Fields | |
|---|---|
The data for the IdpCredential. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response: |
|
pemData |
PEM encoded x509 certificate containing the public key for verifying IdP signatures. |
| End of mutually exclusive fields. | |
Response body
If successful, the response body contains an instance of Operation.
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/cloud-identity.inboundssohttps://www.googleapis.com/auth/cloud-identityhttps://www.googleapis.com/auth/cloud-platform
For more information, see the Authorization guide.